Index: flexpart_code/fpmetbinary_mod.F90
===================================================================
--- flexpart_code/fpmetbinary_mod.F90	(revision 515b21c06ac454a3edcdd8f8fcbbaafcaa3d2291)
+++ flexpart_code/fpmetbinary_mod.F90	(revision b398fb67a4f4baa29fc8752c3bd278a6e469486e)
@@ -2529,100 +3208,16 @@
             READ(iounit) clouds(:,:,:,cm_index)
             READ(iounit) cloudsh(:,:,cm_index)
-#endif
-
-
-
-            ! Get the varid and read the variable into the array
-            ncret = nf90_inq_varid(ncid, 'uu', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, uu(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'vv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, vv(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'uupol', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, uupol(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'vvpol', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, vvpol(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'ww', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, ww(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tt', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tt(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'qv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, qv(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'pv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, pv(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'rho', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, rho(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'drhodz', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, drhodz(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'clouds', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, clouds(0:nxmax-1,0:nymax-1,1:nzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tth', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tth(0:nxmax-1,0:nymax-1,1:nuvzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'qvh', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, qvh(0:nxmax-1,0:nymax-1,1:nuvzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'pplev', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, pplev(0:nxmax-1,0:nymax-1,1:nuvzmax,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'cloudsh', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, cloudsh(0:nxmax-1,0:nymax-1,cm_index))
-            call handle_nf90_err(ncret)
-
-
-
-
-            PRINT *, 'SUM(tt(0:nxmax-1, 0:nymax-1, 1:nzmax, cm_index)): ', &
-&                                        SUM(tt(0:nxmax-1,0:nymax-1,1:nzmax, cm_index))
-
-
-            PRINT *, 'SUM(clouds(0:nxmax-1, 0:nymax-1, 1:nzmax, cm_index)): ', &
-&                                        SUM(clouds(0:nxmax-1,0:nymax-1,1:nzmax, cm_index))
+
+
+!            PRINT *, 'SUM(tt(0:nxmax-1, 0:nymax-1, 1:nzmax, cm_index)): ', &
+!&                                        SUM(tt(0:nxmax-1,0:nymax-1,1:nzmax, cm_index))
+
+
+!            PRINT *, 'SUM(clouds(0:nxmax-1, 0:nymax-1, 1:nzmax, cm_index)): ', &
+!&                                        SUM(clouds(0:nxmax-1,0:nymax-1,1:nzmax, cm_index))
 
 
 
             ! 2d fields
-
-
-#ifdef RAWBIN
             READ(iounit) ps(:,:,:,cm_index)
             READ(iounit) sd(:,:,:,cm_index)
@@ -2645,119 +3240,14 @@
             READ(iounit) diffk(:,:,:,cm_index)
             READ(iounit) vdep(:,:,:,cm_index)
-#endif
-
-
-
-            ! Get the varid and read the variable into the array
-            ncret = nf90_inq_varid(ncid, 'ps', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, ps(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'sd', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, sd(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'msl', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, msl(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tcc', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tcc(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'u10', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, u10(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'v10', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, v10(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tt2', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tt2(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'td2', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, td2(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'lsprec', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, lsprec(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'convprec', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, convprec(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'sshf', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, sshf(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'ssr', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, ssr(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'surfstr', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, surfstr(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'ustar', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, ustar(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'wstar', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, wstar(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'hmix', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, hmix(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tropopause', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tropopause(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'oli', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, oli(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'diffk', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, diffk(0:nxmax-1,0:nymax-1,1,cm_index))
-            call handle_nf90_err(ncret)
-
-
-
-
-            PRINT *, 'SUM(ps(0:nxmax-1, 0:nymax-1, 1, cm_index)): ', &
-&                                        SUM(ps(0:nxmax-1,0:nymax-1,1, cm_index))
-
-            PRINT *, 'SUM(wstar(0:nxmax-1, 0:nymax-1, 1, cm_index)): ', &
-&                                        SUM(wstar(0:nxmax-1,0:nymax-1,1, cm_index))
-
-
-            ncret = nf90_inq_varid(ncid, 'vdep', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, vdep(0:nxmax-1,0:nymax-1,1:maxspec, cm_index))
-            call handle_nf90_err(ncret)
-
+
+
+
+
+
+!            PRINT *, 'SUM(ps(0:nxmax-1, 0:nymax-1, 1, cm_index)): ', &
+!&                                        SUM(ps(0:nxmax-1,0:nymax-1,1, cm_index))
+
+!            PRINT *, 'SUM(wstar(0:nxmax-1, 0:nymax-1, 1, cm_index)): ', &
+!&                                        SUM(wstar(0:nxmax-1,0:nymax-1,1, cm_index))
 
 
@@ -2765,6 +3255,4 @@
 
             ! 1d fields
-
-#ifdef RAWBIN
             READ(iounit) z0(:)
             READ(iounit) akm(:)
@@ -2774,100 +3262,15 @@
             READ(iounit) aknew(:)
             READ(iounit) bknew(:)
-#endif
-
-            ncret = nf90_inq_varid(ncid, 'z0', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, z0(1:numclass))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'akm', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, akm(1:nwzmax))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'bkm', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, bkm(1:nwzmax))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'akz', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, akz(1:nuvzmax))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'bkz', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, bkz(1:nuvzmax))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'aknew', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, aknew(1:nzmax))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'bknew', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, bknew(1:nzmax))
-            call handle_nf90_err(ncret)
-
-
-
-            PRINT *, 'SUM(bknew(1:nzmax)): ', &
-&                                        SUM(bknew(1:nzmax))
-
-
-
-
-            ! Now the nested input grid variables
-            ! Get the compiled values that were written into the FP file, and
-            ! make sure they are equal to the current compiled values, to make
-            ! sure we are working with consistent arrays
-            ncret = nf90_inq_dimid(ncid, 'maxnests', maxnests_dimid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_inquire_dimension(ncid, maxnests_dimid, maxnests_dimname, &
-&                                                temp_maxnests)
-            call handle_nf90_err(ncret)
-            PRINT *, 'temp_maxnests: ', temp_maxnests
-
-            ncret = nf90_inq_dimid(ncid, 'nxmaxn', nxmaxn_dimid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_inquire_dimension(ncid, nxmaxn_dimid, nxmaxn_dimname, &
-&                                                temp_nxmaxn)
-            call handle_nf90_err(ncret)
-            PRINT *, 'temp_nxmaxn: ', temp_nxmaxn
-
-            ncret = nf90_inq_dimid(ncid, 'nymaxn', nymaxn_dimid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_inquire_dimension(ncid, nymaxn_dimid, nymaxn_dimname, &
-&                                                temp_nymaxn)
-            call handle_nf90_err(ncret)
-            PRINT *, 'temp_nymaxn: ', temp_nymaxn
-
-            ! Note that maxspec_dimid and numclass_dimid were checked above
-
-
-
-
-            IF ( (temp_nxmaxn == nxmaxn) .AND. (temp_nymaxn == nymaxn) .AND. &
-&                   (temp_maxnests == maxnests) ) THEN
-                CONTINUE
-            ELSE
-                PRINT *, 'Incompatible dimensions between fp file and current FLEXPART!'
-                ! PRINT *, ''
-                PRINT *, '                  FP file     Compiled FP'
-                PRINT *, 'nxmaxn:     ', temp_nxmaxn, '    ', nxmaxn
-                PRINT *, 'nymaxn:     ', temp_nymaxn, '    ', nymaxn
-                PRINT *, 'maxnests:     ', temp_maxnests, '    ', maxnests
-                STOP
-            END IF
+
+
+
+!            PRINT *, 'SUM(bknew(1:nzmax)): ', &
+!&                                        SUM(bknew(1:nzmax))
+
+
 
 
 
             ! Nested, scalar values (for each nest)
-
-
-
-
-#ifdef RAWBIN
             READ(iounit) nxn(:)
             READ(iounit) nyn(:)
@@ -2876,67 +3279,13 @@
             READ(iounit) xlon0n(:)
             READ(iounit) ylat0n(:)
-#endif
-
-
-            ncret = nf90_inq_varid(ncid, 'nxn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, nxn(1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'nyn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, nyn(1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'dxn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, dxn(1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'dyn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, dyn(1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'xlon0n', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, xlon0n(1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'ylat0n', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, ylat0n(1:maxnests))
-            call handle_nf90_err(ncret)
 
 
 
             ! Nested fields, static over time
-
-#ifdef RAWBIN
             READ(iounit) oron, excessoron, lsmn, xlandusen 
-#endif
-
-            ncret = nf90_inq_varid(ncid, 'oron', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, oron(0:nxmaxn-1,0:nymaxn-1,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'excessoron', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, excessoron(0:nxmaxn-1,0:nymaxn-1,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'lsmn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, lsmn(0:nxmaxn-1,0:nymaxn-1,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'xlandusen', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, xlandusen(0:nxmaxn-1,0:nymaxn-1,1:numclass,1:maxnests))
-            call handle_nf90_err(ncret)
-
-
-            PRINT *, 'SUM(oron): ', SUM(oron)
+
+
+
+!            PRINT *, 'SUM(oron): ', SUM(oron)
 
 
@@ -2944,6 +3293,4 @@
 
             ! 3d nested fields
-
-#ifdef RAWBIN
             READ(iounit) uun(:,:,:,cm_index,:)
             READ(iounit) vvn(:,:,:,cm_index,:)
@@ -2958,72 +3305,8 @@
             READ(iounit) tthn(:,:,:,cm_index,:)
             READ(iounit) qvhn(:,:,:,cm_index,:)
-#endif
-
-            ncret = nf90_inq_varid(ncid, 'uun', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, uun(0:nxmaxn-1,0:nymaxn-1,1:nzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'vvn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, vvn(0:nxmaxn-1,0:nymaxn-1,1:nzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'wwn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, wwn(0:nxmaxn-1,0:nymaxn-1,1:nzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'ttn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, ttn(0:nxmaxn-1,0:nymaxn-1,1:nzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'qvn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, qvn(0:nxmaxn-1,0:nymaxn-1,1:nzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'pvn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, pvn(0:nxmaxn-1,0:nymaxn-1,1:nzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'rhon', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, rhon(0:nxmaxn-1,0:nymaxn-1,1:nzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'drhodzn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, drhodzn(0:nxmaxn-1,0:nymaxn-1,1:nzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tthn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tthn(0:nxmaxn-1,0:nymaxn-1,1:nuvzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'qvhn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, qvhn(0:nxmaxn-1,0:nymaxn-1,1:nuvzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'cloudsn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, cloudsn(0:nxmaxn-1,0:nymaxn-1,0:nzmax,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'cloudsnh', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, cloudsnh(0:nxmaxn-1,0:nymaxn-1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-
-
-
-            PRINT *, 'SUM(uun): ', SUM(uun(:,:,:,cm_index,:))
-            PRINT *, 'SUM(qvhn): ', SUM(qvhn(:,:,:,cm_index,:))
-            PRINT *, 'SUM(cloudsn): ', SUM(cloudsn(:,:,:,cm_index,:))
+
+!            PRINT *, 'SUM(uun): ', SUM(uun(:,:,:,cm_index,:))
+!            PRINT *, 'SUM(qvhn): ', SUM(qvhn(:,:,:,cm_index,:))
+!            PRINT *, 'SUM(cloudsn): ', SUM(cloudsn(:,:,:,cm_index,:))
 
 
@@ -3031,7 +3314,4 @@
 
             ! 2d nested fields
-
-
-#ifdef RAWBIN
             READ(iounit) psn(:,:,:,cm_index,:)
             READ(iounit) sdn(:,:,:,cm_index,:)
@@ -3054,120 +3334,12 @@
             READ(iounit) diffkn(:,:,:,cm_index,:)
             READ(iounit) vdepn(:,:,:,cm_index,:)
-#endif
-
-
-            ncret = nf90_inq_varid(ncid, 'psn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, psn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'sdn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, sdn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'msln', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, msln(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tccn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tccn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'u10n', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, u10n(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'v10n', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, v10n(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tt2n', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tt2n(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'td2n', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, td2n(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'lsprecn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, lsprecn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'convprecn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, convprecn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'sshfn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, sshfn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'ssrn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, ssrn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'surfstrn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, surfstrn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'ustarn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, ustarn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'wstarn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, wstarn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'hmixn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, hmixn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tropopausen', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tropopausen(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'olin', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, olin(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'diffkn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, diffkn(0:nxmaxn-1,0:nymaxn-1,1,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'vdepn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, vdepn(0:nxmaxn-1,0:nymaxn-1,1:maxspec,cm_index,1:maxnests))
-            call handle_nf90_err(ncret)
-
-
-
-
-            PRINT *, 'SUM(psn): ', SUM(psn(:,:,:,cm_index,:))
-            PRINT *, 'SUM(surfstrn): ', SUM(surfstrn(:,:,:,cm_index,:))
-            PRINT *, 'SUM(vdepn): ', SUM(vdepn(:,:,:,cm_index,:))
+
+!            PRINT *, 'SUM(psn): ', SUM(psn(:,:,:,cm_index,:))
+!            PRINT *, 'SUM(surfstrn): ', SUM(surfstrn(:,:,:,cm_index,:))
+!            PRINT *, 'SUM(vdepn): ', SUM(vdepn(:,:,:,cm_index,:))
 
 
 
             ! Auxiliary variables for nests
-
-
-#ifdef RAWBIN
             READ(iounit) xresoln(:)
             READ(iounit) yresoln(:)
@@ -3175,101 +3347,23 @@
             READ(iounit) yln(:)
             READ(iounit) xrn(:)
-            READ(iounit) yrn(:)
-#endif
-
-
-            ncret = nf90_inq_varid(ncid, 'xresoln', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, xresoln(0:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'yresoln', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, yresoln(0:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'xln', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, xln(1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'yln', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, yln(1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'xrn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, xrn(1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'yrn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, yrn(1:maxnests))
-            call handle_nf90_err(ncret)
-
-
-
-            PRINT *, 'SUM(yresoln): ', SUM(yresoln)
-            PRINT *, 'SUM(xrn): ', SUM(xrn)
+
+
+!            PRINT *, 'SUM(yresoln): ', SUM(yresoln)
+!            PRINT *, 'SUM(xrn): ', SUM(xrn)
 
 
 
             ! Variables for polar stereographic projection
-
-
-#ifdef RAWBIN
             READ(iounit) xglobal, sglobal, nglobal
             READ(iounit) switchnorthg, switchsouthg
             READ(iounit) southpolemap(:)
             READ(iounit) northpolemap(:)
-#endif
-
-            ncret = nf90_inq_varid(ncid, 'southpolemap', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, southpolemap(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'northpolemap', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, northpolemap(:))
-            call handle_nf90_err(ncret)
-
-            ! xglobal, sglobal, nglobal are LOGICAL vars, and need to be converted
-            ! to INTEGER for NetCDF storage
-            ncret = nf90_inq_varid(ncid, 'xglobal', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, temp_integer)
-            call handle_nf90_err(ncret)
-            xglobal = integer2logical(temp_integer)
-
-            ncret = nf90_inq_varid(ncid, 'sglobal', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, temp_integer)
-            call handle_nf90_err(ncret)
-            sglobal = integer2logical(temp_integer)
-
-            ncret = nf90_inq_varid(ncid, 'nglobal', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, temp_integer)
-            call handle_nf90_err(ncret)
-            nglobal = integer2logical(temp_integer)
-
-            ncret = nf90_inq_varid(ncid, 'switchnorthg', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, switchnorthg)
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'switchsouthg', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, switchsouthg)
-            call handle_nf90_err(ncret)
-
-
-            PRINT *, 'SUM(northpolemap): ', SUM(northpolemap)
-            PRINT *, 'xglobal: ', xglobal
-            PRINT *, 'sglobal: ', sglobal
-            PRINT *, 'nglobal: ', nglobal
-            PRINT *, 'switchsouthg: ', switchsouthg
+
+
+!            PRINT *, 'SUM(northpolemap): ', SUM(northpolemap)
+!            PRINT *, 'xglobal: ', xglobal
+!            PRINT *, 'sglobal: ', sglobal
+!            PRINT *, 'nglobal: ', nglobal
+!            PRINT *, 'switchsouthg: ', switchsouthg
 
 
@@ -3277,7 +3371,4 @@
 
             ! Variables declared in conv_mod (convection)
-
-
-#ifdef RAWBIN
             READ(iounit) pconv(:)
             READ(iounit) phconv(:)
